Bug 823834 - The second pane name of virt-p2v which called 'Removable Media' should be changed
The second pane name of virt-p2v which called 'Removable Media' should be cha...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-p2v (Show other bugs)
6.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 05:37 EDT by Cui Lei
Modified: 2015-03-12 13:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-12 13:08:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cui Lei 2012-05-22 05:37:55 EDT
Description of problem:
In virt-p2v page, USB disk display in the 'Fixed Storage' pane now, not in 'Removable Media'. But check the device value from /sys/block/sdc/removable, which display 1, means it is a removable device.
Discussed with Matt, he said
"The panes aren't well named
That's for CD-ROM and floppy drives
For devices where we want to create the device on the target, but don't want to copy its contents"

So the pane name 'Removable Media' should be change, as not all the removable media display in it.

Version-Release number of selected component (if applicable):
virt-p2v-0.8.6-5.20120502.1.el6.iso
virt-v2v-0.8.7-6.el6.x86_64
libguestfs-1.16.19-1.el6.x86_64
libvirt-0.9.10-20.el6.x86_64
augeas-0.9.0-4.el6.x86_64
febootstrap-3.12-1.el6.x86_64
hivex-1.3.3-4.el6.x86_64
libguestfs-winsupport-1.0-7.el6.x86_64
virtio-win-1.5.1-1.el6.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Insert a USB disk into physical machine, then load virt-p2v iso
2. In virt-p2v setting page, check the position of USB disk display.

Actual Results:
The USB disk(sdc) display in 'Fixed Storage'.
Check the /sys/block/sdc/removable=1

Expected results:
The second pane of virt-p2v which called 'Removable Media' should well named
Comment 3 RHEL Product and Program Management 2012-07-10 01:56:22 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 21:58:08 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 RHEL Product and Program Management 2012-12-14 01:50:09 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 Richard W.M. Jones 2015-03-12 13:08:04 EDT
I'm closing this bug:

 - virt-p2v has been rewritten for RHEL 7.2

 - Unofficial previews of the new version are available:
   http://oirase.annexia.org/virt-p2v/

 - If a similar bug occurs with the new version of virt-p2v,
   please open a new bug against Red Hat Enterprise Linux 7 / libguestfs

Note You need to log in before you can comment on or make changes to this bug.